twitter4j

## Class RateLimitStatusEvent

- java.lang.Object
- - java.util.EventObject
  - - twitter4j.RateLimitStatusEvent

All Implemented Interfaces:
  Serializable

    public final class RateLimitStatusEvent
    extends EventObject

A data interface representing Twitter REST API's rate limit status

Author:
  Yusuke Yamamoto - yusuke at mac.com
See Also:
  Rate Limiting | Twitter Developers, Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`RateLimitStatus` `getRateLimitStatus()`
`boolean` `isAccountRateLimitStatus()`
`boolean` `isIPRateLimitStatus()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getRateLimitStatus

    public RateLimitStatus getRateLimitStatus()

#### isAccountRateLimitStatus

    public boolean isAccountRateLimitStatus()

#### isIPRateLimitStatus

    public boolean isIPRateLimitStatus()